import QtQuick 1.0

Item {
    id: container

    property alias partsModel: partsModel

    signal partsLoaded

    function loadParts(category, color) {
        partsModel.source = ""
        partsModel.source = Qt.resolvedUrl("resources/xml/" + category + ".xml");
        partsModel.query = "/collection/parts/part[color='" + color + "']"

    }

    XmlListModel {
        id: partsModel

        property string base: "resources/parts/"

        source: Qt.resolvedUrl("resources/xml/bodies.xml")
        query: "/collection/parts/part[color= 'red']"

        XmlRole { name: "uri"; query: "uri/string()" }
        XmlRole { name: "offsetX"; query: "offsetX/string()" }
        XmlRole { name: "offsetY"; query: "offsetY/string()" }
        XmlRole { name: "offsetZ"; query: "offsetZ/string()" }
        XmlRole { name: "imgwidth"; query: "width/string()" }
        XmlRole { name: "imgheight"; query: "height/string()" }
        XmlRole { name: "color"; query: "color/string()" }

        onStatusChanged: {
            if (status == XmlListModel.Ready) {
             //   console.log("Loaded " + count + " items");
                if (source != "")
                    container.partsLoaded()
            } else if (status == XmlListModel.Loading) {
               // console.log("Loading XML data from " + source)
            }
        }

    }
}
