import QtQuick 1.1
import com.nokia.meego 1.0
import 'components' as Components

Page {
    id: page
    orientationLock: PageOrientation.LockPortrait
    property string name: "MainPage.qml"

    onStatusChanged: {
        if (status == PageStatus.Deactivating) {

        } else if (status == PageStatus.Activating) {

        }
    }

    Components.Background { id: bg }

    PageStack {}


    // Main menu items model
    ListModel {
        id: itemsModel
        ListElement { mainimg: "images/mainscreen/img-unknown.png"; titleimg: "images/mainscreen/1-title-unknown.png"}
        ListElement { mainimg: "images/mainscreen/img-newborn.png"; titleimg: "images/mainscreen/2-title-newborn.png"}
        ListElement { mainimg: "images/mainscreen/img-monstar.png"; titleimg: "images/mainscreen/3-title-monstar.png"}
    }

    // Main menu list
    ListView {
        id: listView

        width: 350; height: 400

        anchors {
            horizontalCenter: parent.horizontalCenter
            verticalCenter: parent.verticalCenter
            horizontalCenterOffset: 5
        }

        signal moved

        onMovementStarted: listView.moved()

        model: itemsModel
        orientation: ListView.Horizontal
        snapMode: ListView.SnapOneItem
        cacheBuffer: 2000

        Behavior on opacity { NumberAnimation { duration: 100 } }

        footer: Item {
            width: 10; height: 400
        }

        delegate: Item {
            id: item
            width: 340
            height: 400
            scale: 1.0

            function moved() {
                scale = 1.0
            }

            Component.onCompleted: listView.moved.connect(item.moved)

            Image {
                id: menuItem
                source: mainimg
                width: 295; height: 290
                anchors {
                    top: parent.top
                    horizontalCenter: parent.horizontalCenter
                }

                smooth: true
            }

            Image {
                id: menuTitle
                source: titleimg
                width: 282; height: 80
                smooth: true
                anchors {
                    horizontalCenter: parent.horizontalCenter
                    top: menuItem.bottom
                    topMargin: 15
                }
            }

            MouseArea {
                anchors.fill: parent
                onPressed: {
                    if (listView.moving == false)
                        item.scale = 0.9
                }
                onReleased: item.scale = 1.0
                onClicked: {
                    if (index == 0) {
                        appWindow.closeDoor("CreatorPage.qml")

                    } else if (index == 1) {
                        pageStack.push(Qt.resolvedUrl("CreatorPage.qml"))
                    } else if (index == 2) {
                        pageStack.push(Qt.resolvedUrl("GalleryPage.qml"))
                    }
                }
            }
        }
    }



    Image {
        id: header
        width: 460; height: 95
        source: "images/logo-monstar.png"
        smooth: true
        anchors {
            top: parent.top
            topMargin: 50
            horizontalCenter: parent.horizontalCenter
        }
    }

    Image {
        id: aboutButton
        width: 75; height: 75
        source: "images/mainscreen/about.png"
        anchors {
            bottom: parent.bottom
            right: parent.right
            bottomMargin: 30
            rightMargin: 30
        }

        MouseArea {
            anchors.fill: parent
            onClicked: { aboutDialog.open() }
        }

    }

}
