import QtQuick 1.0

Rectangle {
    id: rectangle1
    width: 480
    height: 854

    gradient: Gradient {
        id: gradient
        property string g1: "#001814"
        property string g2: "#054f42"

        GradientStop { position: 0.0; color: gradient.g1 }
        GradientStop { position: 0.5; color: gradient.g2 }
        GradientStop { position: 1.0; color: gradient.g1 }

    }


    Image {
        id: burst
        anchors.verticalCenter: parent.verticalCenter
        anchors.horizontalCenter: parent.horizontalCenter
        source: "images/starburst.png"

        NumberAnimation on rotation {
            from: 0; to: 360;
            loops: Animation.Infinite;
            duration: 25000
        }
    }

    Image{
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.verticalCenter: parent.verticalCenter
        source:"images/top.png"
    }






    Image{
        id: title
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top: parent.top
        anchors.topMargin: 167
        source:"images/logo-monstar.png"
    }

    Image {
        id: monsterdude
        anchors.top: parent.top
        anchors.topMargin: 167
        anchors.horizontalCenterOffset: 4
        anchors.horizontalCenter: parent.horizontalCenter
        smooth: true
        source: "images/monster-dude.png"
        scale: 0.3
    }

    Timer {
        id: zoomStart
        interval: 500
        running: true
        onTriggered: {
            zoomAnimation.restart()
            zoomStart.stop()
        }
    }

    ParallelAnimation {
        id: zoomAnimation
        NumberAnimation { target: monsterdude; property: "scale"; easing.type: Easing.OutQuint; from: 0.3; to: 1.0; duration: 800 }
        running: false

    }
}
