import QtQuick 1.0

Item {
    id: container

    property string appname
    signal initialized

    function getDatabase() {
        return openDatabaseSync(appname, "1.0", "Monstar", 100000);
    }

    function initialize() {
        var db = getDatabase();
        db.transaction(
                    function(tx) {
                        // Create the settings table if it doesn't already exist
                        // If the table exists, this is skipped
                        tx.executeSql('CREATE TABLE IF NOT EXISTS Settings(setting TEXT UNIQUE, value TEXT)');
                    });



    }



    function query(message) {
        var db = getDatabase();
        var res = ""

//                if (message.substr(0,6) != "INSERT")
//                    console.log("QUERY: " + message)
        db.transaction(function(tx) {
                           var rs = tx.executeSql(message);

                           res = rs.rows
                       })

        return res;
    }


    Component.onCompleted: {
        // initialize database at component creation
        container.initialize();

        // create monstar DB if not existing
        query("CREATE TABLE IF NOT EXISTS Monstars(id INTEGER PRIMARY KEY NOT NULL, name TEXT, filename TEXT, mhead TEXT, meyes TEXT, mbody TEXT, mears TEXT, mmouth TEXT, mlegs TEXT, macc TEXT, mhands TEXT, created DATETIME)")



        // send initialized signal
        container.initialized()

    }

}
