import QtQuick 1.1

Item {
    id: bubble

    property int upDuration
    property bool initial: false

    property int horizontalDuration: 3000
    property bool toRight: false
    property int targetX

    function getRandom(range) {
        var randomnumber=Math.floor(Math.random()*range)

        return randomnumber

    }

    Component.onCompleted: {
        var dimension = getRandom(60) + 20
        bubble.width = dimension
        bubble.height = dimension
        var tempX = getRandom(400)
        var tempY = getRandom(860)
        bubble.x = tempX

        if (bubble.initial == true)
            bubble.y = tempY
        else
            bubble.y = 900



        // create upward velocity
        bubble.upDuration = getRandom(10000) + 10000
        upAnimation.restart()

        var test = getRandom(100)
        if (test > 50) {
            bubble.toRight = false
            bubble.targetX = bubble.x - 20

        } else {
            bubble.toRight = true
            bubble.targetX = bubble.x + 20

        }

        sideAnimation.restart()


    }

    Timer {
        id: sideTimer
        interval: 3000
        running: true
        repeat: true
        onTriggered: {
            var test = getRandom(100)
            if (test > 50) {
                bubble.toRight = false
                bubble.targetX = bubble.x - 20

            } else {
                bubble.toRight = true
                bubble.targetX = bubble.x + 20

            }

            sideAnimation.restart()

            if (y < -70) {
               bubble.destroy()
            }
        }

    }

    ParallelAnimation {
        id: upAnimation
        running: false
        NumberAnimation { target: bubble; property: "y"; to: -100; duration: bubble.upDuration }
    }


    ParallelAnimation {
        id: sideAnimation
        running: true
        NumberAnimation { target: bubble; property: "x"; to: bubble.targetX; duration: bubble.horizontalDuration}
    }

    Image {
        id: bubbleImg
        width: parent.width
        height: parent.height
        fillMode: Image.Stretch
        smooth: true
        source: "../images/bubble.png"
        anchors.centerIn: parent
    }


}
